Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.core.ext.soyc
Class TypeAndSourceNameComparator

    java.lang.Object
      com.google.gwt.core.ext.soyc.TypeAndSourceNameComparator

All Implemented Interfaces:
  java.io.Serializable, java.util.Comparator<Member>

     class TypeAndSourceNameComparator

extends java.lang.Object
implements java.util.Comparator<Member>, java.io.Serializable

This is a top-level type so that we can serialize any TreeMaps that happen to use `Member.TYPE_AND_SOURCE_NAME_COMPARATOR`.

Constructor Summary
`TypeAndSourceNameComparator()`

Method Summary
`int` | `compare(Member o1, Member o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### TypeAndSourceNameComparator

    TypeAndSourceNameComparator()

Method Detail

### compare

    public int compare(Member o1,
                       Member o2)

  Specified by:
    `compare` in interface `java.util.Comparator<Member>`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD